## org.eclipse.uml2.uml.edit.providers
Class UMLItemPropertyDescriptor.UMLItemDelegator

    java.lang.Object
      org.eclipse.emf.edit.provider.AdapterFactoryItemDelegator
          org.eclipse.uml2.uml.edit.providers.UMLItemPropertyDescriptor.UMLItemDelegator

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IItemColorProvider, org.eclipse.emf.edit.provider.IItemFontProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITableItemColorProvider, org.eclipse.emf.edit.provider.ITableItemFontProvider, org.eclipse.emf.edit.provider.ITableItemLabelProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider, IItemQualifiedTextProvider

Enclosing class:
  UMLItemPropertyDescriptor

    protected class UMLItemPropertyDescriptor.UMLItemDelegator

extends org.eclipse.emf.edit.provider.AdapterFactoryItemDelegator
implements IItemQualifiedTextProvider

Field Summary

Fields inherited from class org.eclipse.emf.edit.provider.AdapterFactoryItemDelegator
`adapterFactory`

Fields inherited from interface org.eclipse.emf.edit.provider.IItemFontProvider
`BOLD_FONT, BOLD_ITALIC_FONT, ITALIC_FONT, NORMAL_FONT`

Fields inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider
`GRAYED_OUT_COLOR`

Constructor Summary
`protected` `UMLItemPropertyDescriptor.UMLItemDelegator(org.eclipse.emf.common.notify.AdapterFactory adapterFactory, org.eclipse.emf.common.util.ResourceLocator resourceLocator)`

Method Summary
`java.lang.String` `getQualifiedText(java.lang.Object object)` Fetches qualified text for the specified object instance.

Methods inherited from class org.eclipse.emf.edit.provider.AdapterFactoryItemDelegator
`createCommand, getAdapterFactory, getBackground, getBackground, getChildren, getColumnImage, getColumnText, getEditableValue, getElements, getFont, getFont, getForeground, getForeground, getNewChildDescriptors, getParent, getPropertyDescriptor, getPropertyDescriptors, hasChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UMLItemPropertyDescriptor.UMLItemDelegator

    protected UMLItemPropertyDescriptor.UMLItemDelegator(org.eclipse.emf.common.notify.AdapterFactory adapterFactory,
                                                         org.eclipse.emf.common.util.ResourceLocator resourceLocator)

Method Detail

### getQualifiedText

    public java.lang.String getQualifiedText(java.lang.Object object)

  Description copied from interface: `IItemQualifiedTextProvider`
  Fetches qualified text for the specified object instance.

  Specified by:
    `getQualifiedText` in interface `IItemQualifiedTextProvider`
  Parameters:
    `object` - The object instance for which to fetch qualified text.
  Returns:
    The qualified text.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.